Package org.apache.commons.io.output

# Class ChunkedOutputStream.Builder

java.lang.Object
org.apache.commons.io.build.AbstractSupplier<ChunkedOutputStream,ChunkedOutputStream.Builder>
org.apache.commons.io.build.AbstractOriginSupplier<ChunkedOutputStream,ChunkedOutputStream.Builder>
org.apache.commons.io.build.AbstractStreamBuilder<ChunkedOutputStream,ChunkedOutputStream.Builder>
org.apache.commons.io.output.ChunkedOutputStream.Builder

All Implemented Interfaces:
  `IOSupplier<ChunkedOutputStream>`

Enclosing class:
  `ChunkedOutputStream`

public static class ChunkedOutputStream.Builder extends AbstractStreamBuilder<ChunkedOutputStream,ChunkedOutputStream.Builder>
Builds a new `UnsynchronizedByteArrayOutputStream`.

Using File IO:

     ChunkedOutputStream s = ChunkedOutputStream.builder()
       .setPath("over/there.out")
       .setBufferSize(8192)
       .get();

Using NIO Path:

     ChunkedOutputStream s = ChunkedOutputStream.builder()
       .setPath("over/there.out")
       .setBufferSize(8192)
       .get();

Since:
  2.13.0
See Also:
  - `get()`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder()`
  Constructs a new builder of `ChunkedOutputStream`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ChunkedOutputStream`
  `get()`
  Builds a new `ChunkedOutputStream`.

  ### Methods inherited from class org.apache.commons.io.build.AbstractStreamBuilder

  `getBufferSize, getBufferSizeDefault, getCharSequence, getCharset, getCharsetDefault, getFile, getInputStream, getOpenOptions, getOutputStream, getPath, getRandomAccessFile, getReader, getWriter, setBufferSize, setBufferSize, setBufferSizeChecker, setBufferSizeDefault, setBufferSizeMax, setCharset, setCharset, setCharsetDefault, setOpenOptions`

  ### Methods inherited from class org.apache.commons.io.build.AbstractOriginSupplier

  `checkOrigin, getOrigin, hasOrigin, newByteArrayOrigin, newCharSequenceOrigin, newFileOrigin, newFileOrigin, newInputStreamOrigin, newOutputStreamOrigin, newPathOrigin, newPathOrigin, newRandomAccessFileOrigin, newRandomAccessFileOrigin, newReaderOrigin, newURIOrigin, newWriterOrigin, setByteArray, setCharSequence, setFile, setFile, setInputStream, setOrigin, setOutputStream, setPath, setPath, setRandomAccessFile, setRandomAccessFile, setReader, setURI, setWriter`

  ### Methods inherited from class org.apache.commons.io.build.AbstractSupplier

  `asThis`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.commons.io.function.IOSupplier

  `asSupplier, getUnchecked`

- ## Constructor Details

  - ### Builder

    public Builder()
    Constructs a new builder of `ChunkedOutputStream`.

- ## Method Details

  - ### get

    public ChunkedOutputStream get() throws IOException
    Builds a new `ChunkedOutputStream`.

    This builder uses the following aspects:

    - `AbstractStreamBuilder.getOutputStream()` is the target aspect.
    - `AbstractStreamBuilder.getBufferSize()` is used for the chunk size.
    Returns:
      a new instance.
    Throws:
      `IllegalStateException` - if the `origin` is `null`.
      `UnsupportedOperationException` - if the origin cannot be converted to an `OutputStream`.
      `IOException` - if an I/O error occurs converting to an `OutputStream` using `AbstractStreamBuilder.getOutputStream()`.
    See Also:
      - `AbstractStreamBuilder.getOutputStream()`
      - `AbstractStreamBuilder.getBufferSize()`
      - `IOSupplier.getUnchecked()`